{{ $navPages := .Site.Sections }}
{{ $taxonomies := .Site.Taxonomies }}

<!-- add all taxonomy pages -->
{{ range $key, $value := $taxonomies}}
{{ $pageUrl := (string (delimit (slice "/" $key) "")) }}
{{ $page := $.Site.GetPage $pageUrl }}
{{ $navPages = $navPages | append $page }}
{{ end }}

{{ $navPagesWithWeight := (sort (where $navPages "Params.nav_weight" "!=" nil) "Params.nav_weight" "asc") }}
{{ $navPagesWithoutWeight := (sort (where $navPages "Params.nav_weight" "=" nil) "Title" "asc") }}

{{ $navPagesOrdered := $navPagesWithWeight | append $navPagesWithoutWeight }}

{{ $currentPage := . }}
{{ range $navPagesOrdered }}
{{ if not .Params.hideInMenu }}
<nav-item {{if (and (.InSection $currentPage) (eq $currentPage.IsHome false)) }}active{{end}}>
	<a href="{{ .Permalink }}">
		{{if .Params.showAuthStatus }}<auth-status quiet="true" visual=""></auth-status>{{ end }}
		{{ .Title }}
	</a>
	{{if .Params.navCount}}{{ (len .Pages) }}{{ end }}
</nav-item>
{{ end }}

{{ end }}
<nav-item>
	<a href="https://joblist.city">Search more jobs!</a>
</nav-item>
